gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.SubsurfaceNode

Contents

- Exported types
- Methods
  - getChild

Description

A render node that potentially diverts a part of the scene graph to a subsurface.

Since: 4.14

Synopsis

- newtype SubsurfaceNode = SubsurfaceNode (ManagedPtr SubsurfaceNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf SubsurfaceNode o) => IsSubsurfaceNode o
- toSubsurfaceNode :: (MonadIO m, IsSubsurfaceNode o) => o -> m SubsurfaceNode
- subsurfaceNodeGetChild :: (HasCallStack, MonadIO m, IsSubsurfaceNode a) => a -> m RenderNode

# Exported types

newtype SubsurfaceNode Source #

Memory-managed wrapper type.

Constructors

SubsurfaceNode (ManagedPtr SubsurfaceNode) |

#### Instances

Instances details

Eq SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode Methods (==) :: SubsurfaceNode -> SubsurfaceNode -> Bool Source # (/=) :: SubsurfaceNode -> SubsurfaceNode -> Bool Source #
BoxedPtr SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode Methods boxedPtrCopy :: SubsurfaceNode -> IO SubsurfaceNode Source # boxedPtrFree :: SubsurfaceNode -> IO () Source #
ManagedPtrNewtype SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode Methods toManagedPtr :: SubsurfaceNode -> ManagedPtr SubsurfaceNode Source #
TypedObject SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode Methods glibType :: IO GType Source #
HasParentTypes SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode
type ParentTypes SubsurfaceNode Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode type ParentTypes SubsurfaceNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf SubsurfaceNode o) => IsSubsurfaceNode o Source #

Type class for types which can be safely cast to `SubsurfaceNode`, for instance with `toSubsurfaceNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf SubsurfaceNode o) => IsSubsurfaceNode o Source # |
Instance details Defined in GI.Gsk.Objects.SubsurfaceNode

toSubsurfaceNode :: (MonadIO m, IsSubsurfaceNode o) => o -> m SubsurfaceNode Source #

Cast to `SubsurfaceNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getChildren, getNodeType, getOpaqueRect.

#### Setters

None.

## getChild

subsurfaceNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsSubsurfaceNode a) |
=> a | `node`: a subsurface `GskRenderNode`
-> m RenderNode | Returns: the child `GskRenderNode`

Gets the child node that is getting drawn by the given `node`.

Since: 4.14